'================================================
' 
' RoboSpider - MusicLight.bas
'
'================================================

PTP ALLON
DIR G6A,1,1,1,0,1,1		
DIR G6D,0,0,0,1,0,0 
GETMOTORSET G6A,1,1,1,1,0,0
GETMOTORSET G6D,1,1,1,1,0,0
MOTOR G6A
MOTOR G6D
SPEED 5
DIM I AS BYTE
DIM	tocco AS BYTE ' La variabile tocco
tocco = 0
MOVE G6A,55,55,55,55,,  
MOVE G6D,55,55,55,55,,

TEMPO 220
MUSIC "CDE"

' Ciclo principale.
main:
tocco = IN(32) ' La porta digitale 32 corrispone alla porta AD0
IF tocco = 0 THEN GOSUB touch
GOTO main

' Codice per la gestione del tocco
touch:
GOSUB led_blinking
GOSUB play_music
RETURN

' Il LED lampeggia per circa 2 secondi
led_blinking:
FOR I = 1 TO 4
OUT 52,1
DELAY 300
OUT 52,0
DELAY 300
NEXT I
RETURN

' Esegue una breve sequenza musicale
play_music:
TEMPO 100
' Scala sulla prima ottava
MUSIC "O1 C D E F G A B"
DELAY 1000
' Scala sulla seconda ottava
MUSIC "O2 C D E F G A B"
DELAY 1000
' Scala sulla terza ottava
MUSIC "O3 C D E F G A B"
DELAY 1000
' Scala sulla quarta ottava
MUSIC "O4 C D E F G A B"
RETURN


